PANDA_SETID(3)

NAME
panda_setid - set the id string for the PDF document

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_setid (panda_pdf *output, char *filename);

DESCRIPTION

PANDA INTERNAL. This function sets the value of the document id within the PDF document. This is based on an MD5 hash of the file creation time, and the file path. Adobe products use some other stuff, but this should be sufficient to have a unique hash generated.

RETURNS

Nothing

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_init(); document = panda_open("filename.pdf", "w"); panda_setid(document, "filename.pdf");

SEE ALSO

panda_checkinfo, panda_setauthor, panda_setcreator, panda_settitle, panda_setsubject, panda_setkeywords

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.